ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Павлухин Иван <vololo...@gmail.com>
Subject SpiUriDeploy TC job fails on Java 9+
Date Mon, 01 Jul 2019 19:04:32 GMT
Hi,

SpiUriDeploy fails on TC when it is run with any Java 9+ version [1].
The reason is very simple, it contains one preliminary build step
which is forced to run with Java 8. But for Java 9+ builds we pass
module-related arguments and consequently it leads to Java 8 failure
(unknown argument). I tried to run that step on JDK used for all other
steps but faced a compilation error. It was on Java 9 and it said that
target version 11 was not supported. Due to some reason we configure
<maven.compiler.target>11</maven.compiler.target> in parent pom for
java-9+ profile.

In my mind simple solution here is to set target version to 9. But
perhaps there is a clever way to use maximum version supported by a
used JDK.

Do you have an ideas?

[1] https://ci.ignite.apache.org/viewType.html?buildTypeId=IgniteTests24Java8_SpiUriDeploy&branch_IgniteTests24Java8=%3Cdefault%3E&tab=buildTypeStatusDiv

-- 
Best regards,
Ivan Pavlukhin

Mime
View raw message